
#ifndef __KIBA_RENDER_H__
#define __KIBA_RENDER_H__

void
kiba_focus_window 	(GtkWidget* widget, gpointer data);
void
kiba_iconify_window 	(GtkWidget* widget, gpointer data);
void
kiba_deiconify_window 	(GtkWidget* widget, gpointer data);
void
kiba_unmaximize_window 	(GtkWidget* widget, gpointer data);
void
kiba_maximize_window 	(GtkWidget* widget, gpointer data);
/*
void
kiba_set_window_sticky (GtkWidget* widget, gpointer data);
*/
void
kiba_set_window_above (GtkWidget* widget, gpointer data);
void
kiba_set_window_below (GtkWidget* widget, gpointer data);
void
kiba_move_window (GtkWidget* widget, gpointer data);
void
kiba_resize_window (GtkWidget* widget, gpointer data);
void
kiba_kill_window (GtkWidget* widget, gpointer data);
void
kiba_window_stick (GtkWidget* widget, gpointer data);
char*
kiba_win_name (Display *display, Window window);
char*
kiba_get_win_name (Display *display, Window xwindow);
Atom
kiba_get_atom (Display *display, const char *atom_name);
void
kiba_set_icon_geometry  (KibaDock *dock, Window xwindow, int x, int y, int width, int height);
gboolean
kiba_get_cardinal (Window xwindow, Atom atom, int *val);

GList*
kiba_get_window_stack            (Display *display);
char*
kiba_get_wintype (Display *display, GdkWindow *window);

/* returns current windowstate, -1=not running, 0=systray/not mapped, 1=shown, 3=iconified */
int
kiba_get_winstate (Display   *display,
                   GdkWindow *window);

Window
kiba_get_active_window (Display *display);
char*
kiba_get_wmclass (Display *display, Window window);
gboolean
kiba_window_urgency (Display *display, GdkWindow *window);
void
kiba_load_app_menu (GdkWindow *window, GtkMenu *menu);
GdkPixbuf *
kiba_get_icon (KibaDock *dock, Window window, int size);
void
kiba_get_avtive_viewport (int *x, int *y);
void
kiba_keyboard_move (GtkWidget* widget, gpointer data);
void
kiba_keyboard_size (GtkWidget* widget, gpointer data);
gboolean
kiba_window_state_hint (GdkWindow *window, const char *state_hint);

/*******
OPACITY
*******/
void
kiba_change_opacity (Window  xwindow, guint32 opacity);
int
kiba_get_opacity (Window xwindow);
void
kiba_set_opacity (GtkWidget *widget, gpointer data);

/*******
SATURATION
*******/
void
kiba_change_saturation (Window  xwindow, guint32 saturation);
int
kiba_get_saturation (Window xwindow);
void
kiba_set_saturation (GtkWidget *widget, gpointer data);

/*******
OPACITY
*******/
void
kiba_change_brightness (Window  xwindow, guint32 brightness);
int
kiba_get_brightness (Window xwindow);
void
kiba_set_brightness (GtkWidget *widget, gpointer data);

/*******
WORKSPACES
*******/
int
kiba_get_active_workspace_number (Display *display);
int
kiba_get_win_workspace_number (Display *display, Window window);
void
kiba_activate_workspace (int new_active_space);
void
kiba_window_set_workspace (GtkWidget* widget, gpointer data);
void
kiba_change_workspace (Window xwindow, int new_space);
void
kiba_window_to_right_workspace (GtkWidget* widget, gpointer data);
void
kiba_window_to_left_workspace (GtkWidget* widget, gpointer data);

/*******
VIEWPORTS
*******/
void
kiba_get_num_viewports (int *x, int *y);
void
kiba_get_win_viewport_number (Window window, int *x, int *y);
void
kiba_get_avtive_viewport (int *x, int *y);
void
kiba_change_win_viewport (Window xwindow, int x, int y);
void
kiba_change_viewport (int x, int y);
void
kiba_window_to_right_viewport (GtkWidget* widget, gpointer data);
void
kiba_window_to_left_viewport (GtkWidget* widget, gpointer data);
void
kiba_window_change_viewport (GtkWidget* widget, gpointer data);
gboolean
kiba_window_is_in_viewport (Window window, int viewport_x, int viewport_y);


#endif

